document.write('<script language="javascript" src="' + getRootPath() + '/scripts/js/threeparty/myStorage.js"></script>');

(function($, owner) {

	/**
	 * 获取用户信息
	 */
	owner.getMemberInfo = function() {
		return myStorage.getItem("ffs.camp.memberInfo");
	};

	/**
	 * 设置用户信息
	 */
	owner.setMemberInfo = function(entity) {
		myStorage.setItem("ffs.camp.memberInfo", entity);
	};

	/**
	 * 获取用户图片
	 */
	owner.getAvatarInfo = function() {
		var avatar = myStorage.getItem("ffs.camp.avatarInfo");
		if(avatar == undefined || avatar == "") {
			avatar = getRootPath() + "/styles/images/member/default-avatar.png";
		}
		return avatar;
	};

	/**
	 * 设置用户图片
	 */
	owner.setAvatarInfo = function(entity) {
		myStorage.setItem("ffs.camp.avatarInfo", entity);
	};

	/**
	 * 获取锁屏
	 */
	owner.getLocker = function() {
		return myStorage.getItem("ffs.camp.locker");
	};

	/**
	 * 设置锁屏
	 */
	owner.setLocker = function(entity) {
		myStorage.setItem("ffs.camp.locker", entity);
	};
	
	/**
	 * 获取自动登录
	 */
	owner.getIsAutoLogin = function() {
		return myStorage.getItem("ffs.camp.isAutoLogin");
	};

	/**
	 * 设置自动登录
	 */
	owner.setIsAutoLogin = function(entity) {
		myStorage.setItem("ffs.camp.isAutoLogin", entity);
	};
	
	/**
	 * 获取闯关解锁到第几周
	 */
	owner.getCareerGameWeek = function() {
		return myStorage.getItem("ffs.camp.careerGameWeek");
	};

	/**
	 * 设置闯关解锁到第几周
	 */
	owner.setCareerGameWeek = function(entity) {
		myStorage.setItem("ffs.camp.careerGameWeek", entity);
	};

}(mui, window.ffsLocalStorage = {}));